package com.joa.backend.controller;

import com.joa.backend.constant.HttpStatus;
import com.joa.backend.entity.SysUser;
import com.joa.backend.service.ISysUserService;
import com.joa.backend.utils.ResultUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/sys/user")
public class SysUserController {
    protected final Logger logger = LoggerFactory.getLogger(this.getClass());

    @Autowired
    private ISysUserService userService;

    @GetMapping("/list")
    public ResultUtils list(SysUser sysUser){
        return new ResultUtils(HttpStatus.SUCCESS,"请求成功",userService.selectSysUserAll(sysUser));
    }
}
